require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")






L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
-- L仓库页最大读取页数(10)
-- L公会仓库页最大读取页数(15)

while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then
		--收到大号提示地图完成
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		L当前地图计时(3)
		if Q_前往异界BOSS复活点回城()==1		then 
			L返回城镇()
		end

	else 

		
		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()

		
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if  Fn_当前是否存在公会仓库()==1 and Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end
		
		if	 Fn_包满回城(1,1)==1	or G切换配置包满处理==1	then --
			D重置状态()
			L信息("需要处理背包...")
			if	Fn_藏身处物品处理()==1		then --
			
				goto Next
			else 
				G切换配置包满处理=0
			end
		end

		-- if Fn_当前是否执行过取全身装备()<1			then 
		-- 	if  L取下全身装备()>0		then 
		-- 		L信息("卸下全身装备...返还仓库...请设置号返还装备所需存入的指定页。如果你未再物品处设置，那么将可能会被销毁")
		-- 		goto Next
		-- 	else 
		-- 		D重置状态()
		-- 		if	Fn_藏身处物品处理()==1		then --
		-- 			goto Next
		-- 		else 
		-- 			L更新配置(G取下全身装备,1)
		-- 		end
		-- 	end
		
		-- end 

		-- if Fn_当前是否执行过取全身镶嵌的辅助宝石()<1	then 
		-- 	if L取下全身镶嵌辅助宝石()>0		then 
		-- 			L信息("卸下全身已镶嵌的辅助宝石...返还仓库...请设置号返还所需存入的指定页。如果你未再物品处设置，那么将可能会被销毁")
		-- 			goto Next
		-- 	else 
		-- 		D重置状态()
		-- 		if	Fn_藏身处物品处理()==1		then --
		-- 			goto Next
		-- 		else 
		-- 			L更新配置(G取下全身技能宝石,1)
		-- 		end
		-- 	end 
		-- end
		

        if L当前天赋加点数()>=70 and L自动加点天赋(1)==1          then --

				if Fn_凑装备并装备异界装()==1           then --
					while To(500)==1 do
						local _升华剩余点=L升华天赋点()
						if	 Fn_包满回城(4,4)==1		then --
							D重置状态()
							L信息("需要处理背包...")
							if	Fn_藏身处物品处理()==1		then --
							
								
							else 
								

								L信息("当前异界步骤基本已经完成..请做最后的换装..切换到 一体化脚本..")
								if _升华剩余点==0		then 
									L更改脚本(G升华混沌试炼)
								else 
									L更改脚本(G一体化脚本)
								end 
								--Fn_根据常规设置切换配置及脚本()
							end
						else 
							L信息("当前异界步骤基本已经完成..请做最后的换装..切换到 一体化脚本脚本..")
							if _升华剩余点==0		then 
								L更改脚本(G升华混沌试炼)
							else 
								L更改脚本(G一体化脚本)
							end 
							--Fn_根据常规设置切换配置及脚本()
						end

					end

				else 
					--L信息("凑装中...")
				end 
		
        else 
            L信息("正在加点天赋中....")
        end 



	

	end







	--
	L设置探索地图(1)


	--Fn_城镇物品处理()
::Next::

end

